<?php

namespace App\Modules\Report\Booking\Infrastructure;

use App\Modules\Report\Booking\Domain\ReportBookingRepository;
use App\Modules\Shared\Domain\Storage\Criteria\StorageCriteria;

class MysqlReportBookingRepository implements ReportBookingRepository
{

    public function search(StorageCriteria $criteria): array
    {
        return $criteria->run();
    }
}
